# 28. Mutación: guardar múltiples "Notes", operación por lotes

Esta mutación te permite adjuntar múltiples Notas a un Campo especificado.

{% hint style="success" %}
La cantidad máxima de Notas a guardar es 25.
{% endhint %}

{% hint style="success" %}
Agrega el `uuid` atributo en la entrada para actualizar la Nota.
{% endhint %}

* Una Nota puede vincularse al Campo mediante su identificador único `fieldUuid,`  al SoilDataset asociado vía `soilDatasetUuid`, al ZonesMap vía `vectorAnalysisMapUuid`.
* La coordenada de la Nota puede establecerse usando el `centroid` atributo, que requiere definidos `latitude` y `longitude` valores.&#x20;
* El tipo de Nota puede especificarse usando el `tipo` atributo con valores aceptables de `PLANNED` o `REAL`.&#x20;
* La descripción de la Nota puede proporcionarse usando el `comment` atributo. Si la descripción necesita ser multilínea, la `comment` atributo debe contener una cadena con caracteres de nueva línea `\\n` para separar las líneas. Por ejemplo: `"Primera línea. está aquí\\nSegunda línea está aquí.\\nTercera línea está aquí."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroide: {latitud: 51.177747, longitud:  -113.533613},
      tipo: PLANNED,
      comentario: "Guardado por lote: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroide: {latitud: 51.177747, longitud:  -113.533613},
      type: REAL,
      comentario: "Actualización por lote: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroide: {latitud: 51.177747, longitud:  -113.533613},
      type: REAL,
      comentario: "Guardado por lote: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroide: {latitud: 51.177747, longitud:  -113.533613},
      type: REAL,
      comentario: "Guardado por lote: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    fechaCreacion
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/notas-pines/28.-mutacion-guardar-multiples-notes-operacion-por-lotes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
